Subject: Suggestions for tuning Solaris for netatalk ?

From: [email-masked] (John Grant)
Date: Sat, 18 Jan 1997 13:09:12 -0800

Well the performance has not been exactly startling:

193Ks-1 Mac -> Sun
253Ks-1 Sun -> Mac

So I turned on the gcc optimisation...

204Ks-1 Mac -> Sun
271Ks-1 Sun -> Mac

Better, but no prizes, so then I changed the processor ! Benchmarking the
new cpu with gcc, etc, etc gave me the result that in general the machine
was 40% faster. Imagine my surprise when I retested netatalk:

147Ks-1 Mac -> Sun
210Ks-1 Sun -> Mac

So, is there some kernel tuning parameter that will fix this? Faster cpus
shouldn't worsen performance, or should I dig up a Sparc 1 or something :-)

---
Outline test bench:

Mac 7100/80 - 10BaseT
File - 1 - 8MB
Sun idle = 99%, no other obvious contentions